#!/usr/bin/perl

use IO::File;
use File::Find;

my $types = 'gif|jpg|png|jpeg|bmp';

my $start = 0;
my $count = 1;

open( F, "/etc/passwd" );
while( <F> ) {
  my ( $user, $a, $b, $c, $name, $home, $foo ) = split( /:/, $_ );

  print STDERR "User #$count: $user\n";

  if ( $count >= $start ) {
    if ( -e $home . "/www" && $home =~ /users/i ) {
      find( \&found, $home . "/www" );
    }
  }
  ++$count;
}
close( F );

sub found {
  if ( /$types$/i ) {
    if ( $File::Find::name =~ /\/([^\/]*?)\/www(.*)$/i ) {
      print "/~$1$2\n";
    }
  }
}
